Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.calendar
Class CalendarDay

    java.lang.Object
      com.tibco.bpm.web.client.model.types.calendar.CalendarDay

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, java.io.Serializable, java.lang.Comparable<CalendarDay>

    public class CalendarDay

extends java.lang.Object
implements java.io.Serializable, com.google.gwt.user.client.rpc.IsSerializable, java.lang.Comparable<CalendarDay>

See Also:
  Serialized Form

Constructor Summary
`CalendarDay()`

Method Summary
`java.lang.Object` | `clone()`
`java.util.Date` | `cloneDate()`
`int` | `compareTo(CalendarDay md)`
`boolean` | `equals(java.lang.Object o)`
`static CalendarDay` | `firstDayOfMonth(CalendarDay day)`
`static CalendarDay` | `firstDayOfMonth(MonthCalendar monthCalendar)`
`int` | `getDate()`
`int` | `getDay()`
`Month` | `getMonth()`
`WeekDay` | `getWeekDay()`
`java.lang.Integer` | `getYear()`
`int` | `hashCode()`
`boolean` | `isInRange(java.util.Date start, java.util.Date end)`
`static CalendarDay` | `lastDayOfMonth(CalendarDay day)`
`static CalendarDay` | `lastDayOfMonth(MonthCalendar monthCalendar)`
`CalendarDay` | `next()` Returns tomorrow relative to dayDate
`CalendarDay` | `offsetFromFirstDay(int offset)`
`CalendarDay` | `prev()` Returns yesterday relative to dayDate
`void` | `setDayDate(java.util.Date dayDate)`
`java.lang.String` | `toString()`
`static CalendarDay` | `valueOf(java.util.Date date)`
`static CalendarDay` | `valueOf(int year, int month, int day)`
`static CalendarDay` | `valueOf(MonthCalendar monthCalendar, CalendarDay day)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarDay

    public CalendarDay()

Method Detail

### valueOf

    public static CalendarDay valueOf(java.util.Date date)

### valueOf

    public static CalendarDay valueOf(int year,
                                      int month,
                                      int day)

### valueOf

    public static CalendarDay valueOf(MonthCalendar monthCalendar,
                                      CalendarDay day)

### firstDayOfMonth

    public static CalendarDay firstDayOfMonth(MonthCalendar monthCalendar)

### lastDayOfMonth

    public static CalendarDay lastDayOfMonth(MonthCalendar monthCalendar)

### firstDayOfMonth

    public static CalendarDay firstDayOfMonth(CalendarDay day)

### lastDayOfMonth

    public static CalendarDay lastDayOfMonth(CalendarDay day)

### setDayDate

    public void setDayDate(java.util.Date dayDate)

### getMonth

    public Month getMonth()

### getYear

    public java.lang.Integer getYear()

### getDate

    public int getDate()

### getDay

    public int getDay()

### offsetFromFirstDay

    public CalendarDay offsetFromFirstDay(int offset)

### next

    public CalendarDay next()

  Returns tomorrow relative to dayDate

### prev

    public CalendarDay prev()

  Returns yesterday relative to dayDate

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(CalendarDay md)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<CalendarDay>`

### cloneDate

    public java.util.Date cloneDate()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getWeekDay

    public WeekDay getWeekDay()

### isInRange

    public boolean isInRange(java.util.Date start,
                             java.util.Date end)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.